package com.module.pay.strategy

// 工厂类
class SerialPortFactory {

    fun createStrategy(type: StrategyType): SerialPortStrategy {
        return when (type) {
            StrategyType.MDB -> SerialPortMDBStrategy()
            StrategyType.ICT -> SerialPortICTRS232Strategy()

        }

    }

}